Summary:     GNU Extension language
Name:        guile
Version:     1.2
Release:     6
Source:      ftp://ftp.gnu.org/pub/gnu/guile-%{PACKAGE_VERSION}.tar.gz
Copyright:   GPL
Group:       Development/Languages
Buildroot:   /var/tmp/guile-root
Requires:    umb-scheme

%description
Guile, a portable, embeddable Scheme implementation written in C.  Guile
provides a machine independent execution platform that can be linked in as a
library when building extensible programs.

%package     devel
Summary:     Guile's libraries, header files, etc.
Group:       Development/Languages
Requires:    m4

%description devel
What's needed to develop apps linked w/ guile

%prep
%setup 

%build
./configure --prefix=/usr --enable-dynamic-linking
make

%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT/usr/
strip	$RPM_BUILD_ROOT/usr/lib/libguile.so.2.0.0 \
	$RPM_BUILD_ROOT/usr/bin/guile

mkdir -p $RPM_BUILD_ROOT/usr/share/guile/site
ln -s ../../lib/umb-scheme/slib $RPM_BUILD_ROOT/usr/share/guile/slib

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(-, root, root) %doc AUTHORS COPYING ChangeLog GUILE-VERSION HACKING NEWS README TODO
%attr(755, root, root) /usr/bin/guile
%attr(755, root, root) /usr/bin/guile-snarf
%attr(644, root, root) /usr/lib/libguile.so.*.*
%attr(755, root, root) %dir /usr/share/guile
%attr(755, root, root) %dir /usr/share/guile/%{PACKAGE_VERSION}
%attr(755, root, root) %dir /usr/share/guile/%{PACKAGE_VERSION}/ice-9
%attr(644, root, root) /usr/share/guile/%{PACKAGE_VERSION}/ice-9/*
%attr(644, root, root) /usr/share/aclocal/*
%attr(-, root, root) /usr/share/guile/slib

%files devel
%attr(755, root, root) %dir /usr/include/guile
%attr(755, root, root) %dir /usr/include/libguile
%attr(644, root, root) /usr/lib/lib*so
%attr(644, root, root) /usr/lib/lib*a
%attr(644, root, root) /usr/include/libguile.h
%attr(644, root, root) /usr/include/guile/*
%attr(644, root, root) /usr/include/libguile/*

%changelog
* Thu Sep 10 1998 Cristian Gafton <gafton@redhat.com>
- spec file fixups

* Wed Sep  2 1998 Michael Fulbright <msf@redhat.com>
- Updated for RH 5.2

* Mon Jan 26 1998 Marc Ewing <marc@redhat.com>
- Started with spec from Tomasz Koczko <kloczek@idk.com.pl>
- added slib link

* Thu Sep 18 1997 Tomasz Koczko <kloczek@idk.com.pl>          (1.2-3)
- added %attr(-, root, root) for %doc, 
- in %post, %postun ldconfig runed as parameter "-p",
- removed /bin/sh from requires,
- added %description,
- changes in %files.

* Fri Jul 11 1997 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>  (1.2-2)
- all rewrited for using Buildroot,
- added %postun,
- removed making buid logs,
- removed "--inclededir", added "--enable-dynamic-linking" to configure
  parameters,
- added striping shared libs and /usr/bin/guile,
- added "Requires: /bin/sh" (for guile-snarf) in guile package and
  "Requires: m4" for guile-devel,
- added macro %{PACKAGE_VERSION} in "Source:" and %files,
- added %attr macros in %files.
